> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1scimschemas



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.User.Scim//swagger/v1/swagger.json get /api/v1/scim/Schemas
openapi: 3.0.0
info:
  title: NDS.Services.User.Scim
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.User.Scim/
security: []
paths:
  /api/v1/scim/Schemas:
    get:
      tags:
        - Discovery
      operationId: Discovery_GetSchemas
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResponseOfSchemaDefinition'
components:
  schemas:
    ListResponseOfSchemaDefinition:
      type: object
      additionalProperties: false
      required:
        - schemas
        - totalResults
        - startIndex
        - itemsPerPage
      properties:
        schemas:
          type: array
          items:
            type: string
        totalResults:
          type: integer
          format: int32
        startIndex:
          type: integer
          format: int32
        itemsPerPage:
          type: integer
          format: int32
        Resources:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/SchemaDefinition'
    SchemaDefinition:
      allOf:
        - $ref: '#/components/schemas/Resource'
        - type: object
          additionalProperties: false
          required:
            - id
          properties:
            id:
              type: string
            name:
              type: string
              nullable: true
            description:
              type: string
              nullable: true
            attributes:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/Attribute'
    Resource:
      type: object
      additionalProperties: false
      required:
        - schemas
      properties:
        schemas:
          type: array
          items:
            type: string
        id:
          type: string
          nullable: true
        externalId:
          type: string
          nullable: true
        applicationExternalId:
          type: string
          nullable: true
        meta:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Meta'
        status:
          type: string
          nullable: true
    Attribute:
      type: object
      additionalProperties: false
      properties:
        name:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        subAttributes:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Attribute'
        multiValued:
          type: boolean
        description:
          type: string
          nullable: true
        required:
          type: boolean
        canonicalValues:
          type: array
          nullable: true
          items:
            type: string
        caseExact:
          type: boolean
        mutability:
          type: string
          nullable: true
        returned:
          type: string
          nullable: true
        uniqueness:
          type: string
          nullable: true
        referenceTypes:
          type: array
          nullable: true
          items:
            type: string
    Meta:
      type: object
      additionalProperties: false
      properties:
        resourceType:
          type: string
          nullable: true
        created:
          type: string
          format: date-time
        lastModified:
          type: string
          format: date-time
        location:
          type: string
          nullable: true
        version:
          type: string
          nullable: true

````